Skip to main content

Query Contract Fee Deduction Details

Response Example

{
"success": true,
"code": 0,
"data": [
{
"id": 54236193,
"orderId": 739132568196170240,
"feeCurrency": "USDT",
"fee": 0.0906990372,
"deductType": 2,
"deductFeeCurrency": "USDT",
"deductFee": 0.0906990372,
"timestamp": 1761893337000
},
{
"id": 52060733,
"orderId": 735908917455962624,
"feeCurrency": "USDT",
"fee": 0.297936756,
"deductType": 0,
"timestamp": 1761124758000
}
]
}
  • GET /api/v1/private/order/fee_details

Required Permission: View Order Details

Request Parameters:

ParameterTypeRequiredDescription
symbolstringtrueContract name
idslongfalseDeal ID; up to 20 can be sent in a batch
start_timelongfalseStart time; if omitted, defaults to current time minus 7 days; max span 90 days(Unix millisecond timestamp)
end_timelongfalseEnd time; the span between start and end is 90 days(Unix millisecond timestamp)
page_numintfalseCurrent page number, default 1
page_sizeintfalsePage size, default 20, max 100

Response Parameters:

ParameterTypeDescription
idlongDeal ID
symbolstringContract name
orderIdlongOrder ID
feeCurrencystringFee currency
feedecimalFee
deductTypestringDeduction type: 0 = No deduction, 1 = MXPOINT deduction, 2 = Trial bonus deduction
deductFeeCurrencystringDeducted fee currency
deductFeedecimalDeducted fee
timestamplongDeal time